<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/*

Es la salida para item_list de
		 var_cal.php
		 var_bup.php

Se incluye dentro de
		while ($rowPRD = myfetch($q))
		if ($rowPRD = myfetch($q))

*/
				// contador de relacionados
				// Hay comentarios?
				$q_comen = myquery("SELECT * FROM ".COMENTARIOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."'","[inc_item_list_prd=1]");
				$cnt_comen = mynumrows($q_comen);

				// Hay imagenes?
				$q_img = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' AND tipo=2","[inc_item_list_prd=2]");
				$cnt_img = mynumrows($q_img);

				// Hay multimedia?
				// videos
				$q_mt1 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' AND tipo=4","[inc_item_list_prd=3]");
				$cnt_mt1 = mynumrows($q_mt1);
				// sonidos
				$q_mt2 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' AND tipo=5","[inc_item_list_prd=4]");
				$cnt_mt2 = mynumrows($q_mt2);
				$cnt_mt = $cnt_mt1+$cnt_mt2;
				
				// Hay archivos?
				$q_arc = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' AND tipo=3","[inc_item_list_prd=5]");
				$cnt_arc = mynumrows($q_arc);

				// Hay productos?
				$q_prd = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' AND tipo=6","[inc_item_list_prd=8]");
				$cnt_prd = mynumrows($q_prd);

				// Hay traducciones?
				$q_tradu = myquery("SELECT * FROM ".TRADUCCIONES." WHERE enabled=1 AND itemID='".$rowPRD["itemID"]."' ORDER BY orden DESC, tradID DESC","[inc_item_list_prd=6]");
				$cnt_tradu = mynumrows($q_tradu);
				$rowPRD["idioma_tradu"] = array();
				while ($row_tradu = myfetch($q_tradu))
				{
					$rowPRD["idioma_tradu"][] = $row_tradu["idioma"];
				}


				// nombre de categoria
				$q_cat = myquery("SELECT * FROM ".TD_CATALOGOS." WHERE cataID='".$rowPRD["cataID"]."' ","[inc_item_list_prd=7]");
				$row2 = myfetch($q_cat);


					if (IDIOMA_ACTUAL == 0)
					{
						$rowPRD["titulo"] = $rowPRD["titulo"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen"] );
						$rowPRD["nombre_cat"] = $row2["nombre"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre"] );						
					}
					else if (IDIOMA_ACTUAL == 1)
					{
						$rowPRD["titulo"] = $rowPRD["titulo_1"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo_1"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen_1"] );
						$rowPRD["nombre_cat"] = $row2["nombre_1"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_1"] );						
					}
					else if (IDIOMA_ACTUAL == 2)
					{
						$rowPRD["titulo"] = $rowPRD["titulo_2"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo_2"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen_2"] );
						$rowPRD["nombre_cat"] = $row2["nombre_2"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_2"] );						
					}
					else if (IDIOMA_ACTUAL == 3)
					{
						$rowPRD["titulo"] = $rowPRD["titulo_3"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo_3"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen_3"] );
						$rowPRD["nombre_cat"] = $row2["nombre_3"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_3"] );						
					}
					else if (IDIOMA_ACTUAL == 4)
					{
						$rowPRD["titulo"] = $rowPRD["titulo_4"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo_4"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen_4"] );
						$rowPRD["nombre_cat"] = $row2["nombre_4"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_4"] );						
					}
					else if (IDIOMA_ACTUAL == 5)
					{
						$rowPRD["titulo"] = $rowPRD["titulo_5"];
						$rowPRD["titulo_sef"] = SEFcompleURL( $rowPRD["titulo_5"] );
						$rowPRD["texto_resumen"] = salida_gral( $rowPRD["texto_resumen_5"] );
						$rowPRD["nombre_cat"] = $row2["nombre_5"];						
						$rowPRD["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_5"] );						
					}

					$rowPRD["num_comen"] = $cnt_comen;
					$rowPRD["num_img"] = $cnt_img;
					$rowPRD["num_arc"] = $cnt_arc;
					$rowPRD["num_tradu"] = $cnt_tradu;
					$rowPRD["num_mt"] = $cnt_mt;
					$rowPRD["num_prd"] = $cnt_prd;
					
					// fecha
					if (CONFIG_10 == 0)
					{
						$rowPRD["fecha"] = salida_fecha_latin ($rowPRD["fecha"]);
		
					} else if (CONFIG_10 == 1) {
			
						$rowPRD["fecha"] = salida_fecha_literal ($rowPRD["fecha"]);
		
					}

					// rutina para separar las tags
					$tag_loc = trim($rowPRD["td_etiquetas"]);
						if ($tag_loc)
						{
							$tag_locs = explode(",",$rowPRD["td_etiquetas"]);
							$rowPRD["td_etiquetas"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowPRD["td_etiquetas"][] = trim($tag_locs[$c]);
									}

								}
							$rowPRD["td_etiquetas_url"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowPRD["td_etiquetas_url"][] = codificar_buscador(trim($tag_locs[$c])).TPL_SUFIJO_URL;
									}

								}
						} else {
					
							$rowPRD["td_etiquetas"] = "";
							
						}
			
			// precio, gasto, descuento
			$rowPRD["valor_precio"] = mostrar_pvp($rowPRD["td_precio"]);
			$rowPRD["valor_descuento"] = mostrar_pvp($rowPRD["td_descuento"]);
			$rowPRD["valor_gastos"] = mostrar_pvp($rowPRD["td_gastos"]);
			
			// descuento
			if ($rowPRD["td_precio"] > 0)
			{
				$rowPRD["valor_descuento_mostrar"] = mostrar_pvp(($rowPRD["td_precio"]-$rowPRD["td_descuento"]));
				$rowPRD["valor_porcentaje"] = ceil((($rowPRD["td_descuento"]-$rowPRD["td_precio"])/$rowPRD["td_precio"])*100);
			} else {
				$rowPRD["valor_descuento_mostrar"] = mostrar_pvp(0);
				$rowPRD["valor_porcentaje"] = 0;
			}

				$indice_ini = $i/$vercolumnas;
				$indice_fin = ($i+1)/$vercolumnas;
				
				if (is_int($indice_ini))
				{
				
					$rowPRD["salida_gral_tr_ini"] = 1;
				}

				if (is_int($indice_fin))
				{
				
					$rowPRD["salida_gral_tr_fin"] = 1;
				}

				// ancho de celda
				$rowPRD["salida_gral_celda"] = 100/$vercolumnas;
			
			$edit_plus = '';
			// incluye [+] de editar item en portada
			if (isset($rowPRD["es_portada"])) { $edit_plus = ' <a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?oferID='.$rowPRD["es_portada"].'\','.CONFIG_5.');" class="admin">[+]</a>'; }
			// incluye [+] de editar relacionado
			if (isset($rowITEM["son_relacionados"])) { $edit_plus = ' <a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?relaID='.$rowrels["relaID"].'\','.CONFIG_5.');" class="admin">[+]</a>'; }

			$rowPRD["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?itemID='.$rowPRD["itemID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a>'.$edit_plus.' | #'.$rowPRD["itemID"].' | '.$rowPRD["lecturas"].'</div>';
						
?>